summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--pcr/nagios-nrpe-plugin/PKGBUILD23
-rw-r--r--pcr/nagios-plugins/PKGBUILD27
-rw-r--r--pcr/nagios-plugins/stdio.patch14
3 files changed, 64 insertions, 0 deletions
diff --git a/pcr/nagios-nrpe-plugin/PKGBUILD b/pcr/nagios-nrpe-plugin/PKGBUILD
new file mode 100644
index 000000000..3f2cba3c0
--- /dev/null
+++ b/pcr/nagios-nrpe-plugin/PKGBUILD
@@ -0,0 +1,23 @@
+# https://github.com/mvgrimes/aur-nagios-npre-plugin
+# Contributor: Mark Grimes <mgrimes at peculier dot com>
+# Contributor: Idares <idares@seznam.cz>
+# Maintainer : Parabola GNU / Linux-libre Aurelien Desbrieres <aurelien@cwb.IO>
+
+pkgname=nagios-nrpe-plugin
+pkgver=2.13
+pkgrel=1
+pkgdesc="The Nagios NRPE server side plugin."
+license=('GPL')
+arch=('i686' 'x86_64')
+url="http://www.nagios.org"
+source=("http://downloads.sourceforge.net/nagios/nrpe-$pkgver.tar.gz")
+
+depends=(nagios)
+
+build() {
+ cd $startdir/src/nrpe-$pkgver
+ ./configure --prefix=/usr/share/nagios \
+ --with-nagios-user=nobody --with-nagios-group=nobody || return 1
+ make || return 1
+ make prefix=$startdir/pkg/usr/share/nagios install-plugin || return 1
+}
diff --git a/pcr/nagios-plugins/PKGBUILD b/pcr/nagios-plugins/PKGBUILD
new file mode 100644
index 000000000..e1379d193
--- /dev/null
+++ b/pcr/nagios-plugins/PKGBUILD
@@ -0,0 +1,27 @@
+# Contributor: Idares <idares@seznam.cz>
+# Maintainer : Parabola GNU / Linux-libre Aurelien Desbrieres <aurelien@cwb.IO>
+
+pkgname=nagios-plugins
+pkgver=1.4.16
+pkgrel=1
+pkgdesc="Plugins are scripts and programs that perform host and service checks."
+license=('GPL')
+arch=('i686' 'x86_64')
+url="http://www.nagiosplugins.org"
+source=("http://downloads.sourceforge.net/nagiosplug/$pkgname-$pkgver.tar.gz"
+ "stdio.patch")
+makedepends=('net-snmp')
+optdepends=('net-snmp: for SNMP checking.')
+
+build() {
+ cd $srcdir/$pkgname-$pkgver
+ patch -p1 -i "$srcdir/stdio.patch"
+ ./configure --prefix=/usr/share/nagios
+ make
+ make prefix=$startdir/pkg/usr/share/nagios install
+ make prefix=$startdir/pkg/usr/share/nagios install-root
+}
+
+sha1sums=('52db48b15572b98c6fcd8aaec2ef4d2aad7640d3'
+ '6a40a8bc8c907f5cf722e4440900d872767d465c')
+
diff --git a/pcr/nagios-plugins/stdio.patch b/pcr/nagios-plugins/stdio.patch
new file mode 100644
index 000000000..f87d313b5
--- /dev/null
+++ b/pcr/nagios-plugins/stdio.patch
@@ -0,0 +1,14 @@
+diff -Naur nagios-plugins-1.4.16-orig/gl/stdio.in.h nagios-plugins-1.4.16-patched/gl/stdio.in.h
+--- nagios-plugins-1.4.16-orig/gl/stdio.in.h 2012-06-27 19:32:47.000000000 +0200
++++ nagios-plugins-1.4.16-patched/gl/stdio.in.h 2012-08-09 06:29:26.038030953 +0200
+@@ -140,8 +140,10 @@
+ /* It is very rare that the developer ever has full control of stdin,
+ so any use of gets warrants an unconditional warning. Assume it is
+ always declared, since it is required by C89. */
++#ifdef gets
+ #undef gets
+ _GL_WARN_ON_USE (gets, "gets is a security hole - use fgets instead");
++#endif
+
+ #if @GNULIB_FOPEN@
+ # if @REPLACE_FOPEN@